Subject: bug#33038: closed (Re: [bug#33038] [PATCH 3/6] bootstrap: Add %bootstrap-mes.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 23 Oct 2018 21:02:02 +0000

Your bug report

#33038: bootstrap: Regeneration of Mes bootstrap seeds.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33038: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33038
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#33038] [PATCH 3/6] bootstrap: Add %bootstrap-mes.
From: Jan Nieuwenhuizen <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: [email-masked]
Date: Tue, 23 Oct 2018 23:00:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Jan Nieuwenhuizen writes:

>> Anyway LGTM modulo maybe one rebuild and commit log tweak.
>
> Great, once everything builds I'll update core-updates-next on savannah,
> ping this bug and close it.  Otherwise...oh well.

Did those, pushed to core-updates-next as

    d0bb7ed61ed9e356c53de1a8e9bd6c2ec030ffb6
    doc: Update Preparing to Use the Bootstrap Binaries.

Marius has a couple of patches on his wip-gcc7 branch that we may
already want to include in core-updates-next too, but I'll leave that to
him.

--8<---------------cut here---------------start------------->8---
bc05a8a9d gnu: Remove duplicate linux-libre-headers package from bootstrap inputs.
c697fdfc1 gnu: gcc-boot0: Improve gcc-wrapper workarounds.
7c1ddb3a4 gnu: libstdc++-boot0: Improve gcc-wrapper workaround.
60111ea82 gnu: Remove gcc-for-libstdc++.
--8<---------------cut here---------------end--------------->8---

I think that I'm "done" here, there's the `put new bootstrap binaries on
ftp.gnu.org/pub/guix/...', are you taking care of that?

Thanks!
janneke

Subject: bootstrap: Regeneration of Mes bootstrap seeds.
From: Jan Nieuwenhuizen <[email-masked]>
To: [email-masked]
Date: Sun, 14 Oct 2018 10:50:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

In order to take care of these TODOs

TODO:
  * regenerate Mes bootstrap seeds, put them on ftp.gnu.org
  * slow tests: "gnu-build-system", "union-build"
  * doc: make "Reduced Binary Seed Bootstrap" subsection in Bootstrapping
  * doc: update “Preparing to Use the Bootstrap Binaries”
  * doc: update “Reducing the Set of Bootstrap Binaries”

I replaced the opaque, manually created %mes-seed and %tinycc-seed by
new pacckages: mes-stripped, mes-stripped-tarball, and %bootstrap-mes.

That allowed me to modify the remaining documentation sections too.
Sending a patch series, also available from

    https://gitlab.com/janneke/guix @core-updates-next
    
WDYT?

Greetings,
janneke